<?php

require_once 'jsi_functions.php';

$numToBuild = 5000;   // number of PRODUCT records to build
$numProdCat = 50;     // number of product categories to use
$numSubCats = 5;      // number of subcategories per category

$bldproduct = './product_build.sql';
WriteToFile($bldproduct, 'w', 'DELETE FROM PRODUCT; ');

$stmt = "INSERT INTO PRODUCT"
      . " (PARTNUM, BARCODE, DESCRIP, CATEGORY, SUBCAT,"
      . " UOM, SELL_UOMS, RTRN_UOMS, WTUOM,"
      . " BASE, QTYONHAND, QTYONORDER, QTYALLOC,PRODSORT) ";

$prodnum = 100000;
$sizes   = array('Tiny', 'Small', 'Medium', 'Large', 'XLarge', 'Huge');  // 6
$colors  = array('Red', 'Orange', 'Yellow', 'Green', 'Blue', 'Indigo', 'Violet', 'White', 'Black'); // 9
$names   = array('Gizmo', 'Widget', 'Thingamajig', 'FramisPlate', 'Doodad');  // 5

for ($i=0; $i<$numToBuild; $i++) {
  $prodnum++;
  
  // generate dummy keys and data
  $barcode    = (string)$prodnum;
  $partnum    = 'PROD' . $barcode;
  $descrip1   = $sizes [mt_rand(0, 5)] . (string)mt_rand(1, 9) . ' '
              . $colors[mt_rand(0, 8)] . (string)mt_rand(1, 9) . ' '
              . $names [mt_rand(0, 4)] . (string)mt_rand(1, 9);
  $category   = 'Cat' . (string)mt_rand(1000, 1000 + $numProdCat);
  $subcat     = 'Sub' . (string)mt_rand(100,   100 + $numSubCats);
  $uom        = 'EA';
  $sell_uoms  = $uom;
  $rtrn_uoms  = $uom;
  $wtuom      = 'LB';
  $base       = mt_rand(1, 500) + (mt_rand(0, 99)/100);
  $qtyonhand  = mt_rand(1, 5000);
  $qtyonorder = mt_rand(1, 5000);
  $qtyalloc   = mt_rand(1, 5000);
  $prodsort   = $i + 1;

  $data  = $stmt;
  $data .= " VALUES ( ";
  $data .= QuoteStringComma( $partnum );      // PARTNUM
  $data .= QuoteStringComma( $barcode );      // BARCODE
  $data .= QuoteStringComma( $descrip1 );     // DESCRIP
  $data .= QuoteStringComma( $category );     // CATEGORY
  $data .= QuoteStringComma( $subcat );       // SUBCAT

  $data .= QuoteStringComma( $uom );          // UOM
  $data .= QuoteStringComma( $sell_uoms );    // SELL_UOMS
  $data .= QuoteStringComma( $rtrn_uoms );    // RTRN_UOMS
  $data .= QuoteStringComma( $wtuom );        // WTUOM,

  $data .= QuoteStringComma( $base );         // BASE PRICE
  $data .= QuoteStringComma( $qtyonhand );    // QTYONHAND
  $data .= QuoteStringComma( $qtyonorder );   // QTYONORDER
  $data .= QuoteStringComma( $qtyalloc  );    // QTYALLOC 
  $data .= QuoteString     ( $prodsort );     // PRODSORT

  $data .= " );";

  WriteToFile($bldproduct, 'a', $data);
}
echo "Built $numToBuild products in $bldproduct";

?>
